tcpdump/tcpdump-ikev2pI2-test-fails-ppc.patch
Tomáš Chvátal 10ceab005c Accepting request 512662 from home:pmonrealgonzalez:branches:network:utilities
- Disable ikev2pI2 test that fails on ppc, ppc64 and ppc64le
  * Added patch tcpdump-ikev2pI2-test-fails-ppc.patch 

- Update to version 4.9.1 [bsc#1047873]
  * CVE-2017-11108/Fix bounds checking for STP.
  * Make assorted documentation updates and fix a few typos in output.
  * Fixup -C for file size >2GB
  * Show AddressSanitizer presence in version output.
  * Fix a bug in test scripts.
  * Fix a use-after-free when the requested interface does not exist.

OBS-URL: https://build.opensuse.org/request/show/512662
OBS-URL: https://build.opensuse.org/package/show/network:utilities/tcpdump?expand=0&rev=37
2017-07-26 13:42:33 +00:00

21 lines
831 B
Diff

Index: tcpdump-4.9.1/tests/crypto.sh
===================================================================
--- tcpdump-4.9.1.orig/tests/crypto.sh
+++ tcpdump-4.9.1/tests/crypto.sh
@@ -28,8 +28,13 @@ then
[ $? -eq 0 ] || exitcode=1
./TESTonce espudp1 espudp1.pcap espudp1.out '-nnnn -E "file esp-secrets.txt"'
[ $? -eq 0 ] || exitcode=1
- ./TESTonce ikev2pI2 ikev2pI2.pcap ikev2pI2.out '-E "file ikev2pI2-secrets.txt" -v -v -v -v'
- [ $? -eq 0 ] || exitcode=1
+ case $(uname -m) in
+ "ppc" | "ppc64" | "ppc64le" ) echo "skipping test ikev2pI2"
+ ;;
+ * ) ./TESTonce ikev2pI2 ikev2pI2.pcap ikev2pI2.out '-E "file ikev2pI2-secrets.txt" -v -v -v -v'
+ [ $? -eq 0 ] || exitcode=1
+ ;;
+ esac
./TESTonce isakmp4 isakmp4500.pcap isakmp4.out '-E "file esp-secrets.txt"'
[ $? -eq 0 ] || exitcode=1
fi